#!/bin/sh
# ipfw startup script by hany@hanynet.com
# this script has been installed by NOOBPROOF INJECTOR
# fore more info: www.hanynet.com/noobproof
# please chmod +x this script if you put/replace it manually!!


# We need to trap on TERM signals, according to Apple's launchd docs:
#
trap 'exit 1' 15

#
# Issue a log message so we know when we started
#
syslog -s -l 1 waterroof.sh: Starting...

#
# Use the "ipconfig waitall" command to wait for all the
# interfaces to come up:
#
ipconfig waitall

          # set up firewall rules
          ipfw /etc/firewallrules
		  # firewall logging
		  sysctl -w net.inet.ip.fw.verbose=2
		  sysctl -w net.inet.ip.fw.verbose_limit=0
		  # start logging (disabled in NoobProof v1.3)
		  #/usr/libexec/ApplicationFirewall/appfwloggerd
		  # disable interface forwarding
		  sysctl -w net.inet.ip.forwarding=0
		

# Sleep 
sleep 10

# log message 
syslog -s -l 1 waterroof.sh: Done.

# Exit with a clean status
exit 0